org.licas.util

## Class HeuristicConst

- java.lang.Object
- - org.ai_heuristic.util.AiHeuristicConst
  - - org.licas.util.HeuristicConst

-     public class HeuristicConst
      extends org.ai_heuristic.util.AiHeuristicConst

  This class stores some constant values. These define what base heuristics or algorithms are available for the problem solving.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BAGOFWORDSTYPE`
    `static java.lang.String` | `CLUSTER` Defines a clustering service
    `static java.lang.String` | `COMPLETELINK` Complete link clustering service
    `static java.lang.String` | `CONTAINSLINK` Contains link clustering service
    `static java.lang.String` | `FLOATTYPE`
    `static java.lang.String` | `FRAMEWORK`
    `static java.lang.String` | `FREQUENCY` Centralised frequency count algorithm
    `static java.lang.String` | `GENETICALGORITHM` Centralised genetic algorithm
    `static java.lang.String` | `GRIDHILL` Grid with hill-climbing framework
    `static java.lang.String` | `GRIDMATCH` New hyper-heuristic matching framework
    `static java.lang.String` | `INTEGERTYPE`
    `static java.lang.String` | `LINKDISTRIBUTED` Distributed linking framework
    `static java.lang.String` | `METABAGOFWORDSTYPE`
    `static java.lang.String` | `METRICONLY` Only use the metric
    `static java.lang.String` | `NEARESTNEIGHBOUR` K-Nearest Neighbour Clustering
    `static java.lang.String` | `SEARCHHILL` Grid with hill-climbing framework
    `static java.lang.String` | `SINGLECONCEPT` Heuristic types, specifically for the problem solver genetic algorithm framework
    `static java.lang.String` | `SINGLELINK` Single link clustering service
    `static java.lang.String` | `SOMNN` Self-Organising Map Neural Network
    `static java.lang.String` | `STRINGTYPE`

    - ### Fields inherited from class org.ai_heuristic.util.AiHeuristicConst

      `ACTIVATION, ADD, ALLMETRICS, BREADTH, BS, CFC, CFIDFCOUNT, CITYBLOCKFUNCTION, COLINDEX, CONCEPTS, CONDITION, COSINEFUNCTION, COUNT, DEMERAULEVENSHTEIN, DEPTH, DIMKEYS, DIMSIZE, DIVIDE, DOTPRODUCT, DUMMYKEY, EFC, EFN, EQ, EUCLIDEANFUNCTION, EVALUATOR, FUNCTION, FUNCTIONCONSTANT, FUNCTIONCOUNT, FUNCTIONEXPONENTIAL, FUNCTIONGAUSS, FUNCTIONHARDLIMIT, FUNCTIONHYPERBOLIC, FUNCTIONLINEAR, FUNCTIONLINEARPLUS, FUNCTIONLINEARRECTIFIED, FUNCTIONSIGMOID, FUNCTIONSYMMETRICHARDLIMIT, FUNCTIONTANH, GE, GFR, GT, HAMMING, HFC, HFC2, HLT, INDEXSIMILARITY, INFORMATIONGAIN, INTERSECTION, JACCARDFUNCTION, JAROWINKLER, KDTREE, KDTREENODE, KEY, KEYLIST, KNN, KULLBACKLEIBLER, LE, LEVENSHTEIN, LPFA, LPFB, LT, MAGNITUDE, MATHEVALUATOR, MAX, MEDIAN, METRIC, METRICDATASET, METRICVALUE, MIN, MINKOWSKIFUNCTION, MKP, MULTIPLY, NAME, NE, NGN, OPERATOR, PARAMLIST, POWER, PROBLEMS, REPLYSET, ROWINDEX, SHLT, SIMPLEFUNCTION, SIMPLEMATHCOMPARE, STATS, SUBTRACT, TREE, TREENODE, TYPE, UNION, VALUE, VALUE1, VALUE2, VALUETYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeuristicConst()`

  - ### Method Summary

    - ### Methods inherited from class org.ai_heuristic.util.AiHeuristicConst

      `activationFunctions, getAiFactoryInfo, getAiFactoryKey, getAiHeuristcTypes, learnFunctions, simpleFunctionType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FRAMEWORK

          public static final java.lang.String FRAMEWORK

      See Also:
        Constant Field Values

    - #### GRIDMATCH

          public static final java.lang.String GRIDMATCH

      New hyper-heuristic matching framework
      See Also:
        Constant Field Values

    - #### GRIDHILL

          public static final java.lang.String GRIDHILL

      Grid with hill-climbing framework
      See Also:
        Constant Field Values

    - #### SEARCHHILL

          public static final java.lang.String SEARCHHILL

      Grid with hill-climbing framework
      See Also:
        Constant Field Values

    - #### LINKDISTRIBUTED

          public static final java.lang.String LINKDISTRIBUTED

      Distributed linking framework
      See Also:
        Constant Field Values

    - #### NEARESTNEIGHBOUR

          public static final java.lang.String NEARESTNEIGHBOUR

      K-Nearest Neighbour Clustering
      See Also:
        Constant Field Values

    - #### SOMNN

          public static final java.lang.String SOMNN

      Self-Organising Map Neural Network
      See Also:
        Constant Field Values

    - #### GENETICALGORITHM

          public static final java.lang.String GENETICALGORITHM

      Centralised genetic algorithm
      See Also:
        Constant Field Values

    - #### FREQUENCY

          public static final java.lang.String FREQUENCY

      Centralised frequency count algorithm
      See Also:
        Constant Field Values

    - #### CLUSTER

          public static final java.lang.String CLUSTER

      Defines a clustering service
      See Also:
        Constant Field Values

    - #### CONTAINSLINK

          public static final java.lang.String CONTAINSLINK

      Contains link clustering service
      See Also:
        Constant Field Values

    - #### SINGLELINK

          public static final java.lang.String SINGLELINK

      Single link clustering service
      See Also:
        Constant Field Values

    - #### COMPLETELINK

          public static final java.lang.String COMPLETELINK

      Complete link clustering service
      See Also:
        Constant Field Values

    - #### METRICONLY

          public static final java.lang.String METRICONLY

      Only use the metric
      See Also:
        Constant Field Values

    - #### SINGLECONCEPT

          public static final java.lang.String SINGLECONCEPT

      Heuristic types, specifically for the problem solver genetic algorithm framework
      See Also:
        Constant Field Values

    - #### INTEGERTYPE

          public static final java.lang.String INTEGERTYPE

      See Also:
        Constant Field Values

    - #### FLOATTYPE

          public static final java.lang.String FLOATTYPE

      See Also:
        Constant Field Values

    - #### STRINGTYPE

          public static final java.lang.String STRINGTYPE

      See Also:
        Constant Field Values

    - #### BAGOFWORDSTYPE

          public static final java.lang.String BAGOFWORDSTYPE

      See Also:
        Constant Field Values

    - #### METABAGOFWORDSTYPE

          public static final java.lang.String METABAGOFWORDSTYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HeuristicConst

          public HeuristicConst()